/* Шрифти */
@font-face {
	font-family: 'Bounded:Black';
	src: local('Impact'), local('Arial Black'), local('Arial Bold');
	src: url('font/UAFSans-OnBoard.ttf') format('truetype');
	font-weight: 900;
	font-style: normal;
}
@font-face {
	font-family: 'Bounded:Regular';
	src: local('Arial'), local('Helvetica');
	font-weight: 400;
	font-style: normal;
}
@font-face {
	font-family: 'UAF_Sans:NameTape';
	src: url('font/UAFSans-NameTape.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}
@font-face {
	font-family: 'UAF_Sans:Regular';
	src: url('font/UAFSans-Regular.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}
@font-face {
	font-family: 'UAF_Sans:Medium';
	src: url('font/UAFSans-Medium.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}
/*/Шрифти */

* {
	box-sizing: border-box;
}

*:focus-visible {
	/* Навігація з клавіатури */
	outline: 1px solid orange;
}

html,
body {
	width: 100%;
	max-width: 100%;
	height: 100%;
	margin: 0;
}

html {
	font-family: 'UAF_Sans:Regular', ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
	scrollbar-color: #222 #ccc;
	font-size: 18px;
	background-color: #0f0f0f;
}

body {
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	background-color: #0f0f0f;
	color: #fff;
	max-width: 1920px;
	margin-left: auto;
	margin-right: auto;
}

a {
	color:inherit;
	text-decoration:inherit;
}

.content-stretch {
	align-content: stretch;
}

svg {
	overflow: visible;/* Ensure SVG paths work */
}

body > div {
	background-color: #aaa;
}

.dark {
	background-color: #3F3F3F;
	color: #fff;
}

section {
	margin: 64px 80px 0 80px;
	padding: 64px 0;
	max-width: 100%;
}

@media (max-width: 1320px) {
	section {
		margin: 64px 2vw 0 2vw;
	}
}

.section-title {
	font-family: 'UAF_Sans:NameTape',sans-serif;
	color: #ccc;
	font-size: 96px;
	text-transform: uppercase;
	margin-bottom: 0.5em;
}

.dark .section-title {
	color: #fff;
}

/*показ при відміченні усіх пунктів*/
.conditional-submit {
	display: none !important;
}
form:not(:has(input:not(.optional):not(:checked))) .conditional-submit {
	display: unset !important;
}
input[type="checkbox"].optional:checked {
	accent-color: #76df00;
}
/*/*/

button {
	cursor: pointer;
}

/*popover*/
::backdrop {
	background-color: #222;
	opacity: 0.75;
}

body:has([popover]:popover-open) {
	overflow: hidden; /*не дає прокручувати*/
}
body:has([popover]:popover-open) .vac-button {
	pointer-events: none;
}
/*/popover*/


#header {
	color: #fff;
	background-image: url(img/bg1.jpg);
	display: block;
	height: 800px;
	height: 100vh;
	background-position: center;
	background-size: cover;
}

#haslo {
	font-family:'UAF_Sans:NameTape',sans-serif;
	font-size: 80px;
	text-transform: uppercase;
	text-align: center;
	text-shadow: 0px 0px 10px black;
	padding-top: 50vh;
}

@media (min-width: 1921px) {
	#header {
		height: 800px;
	}
	#haslo {
		padding-top: 400px;
	}
}

#panel {
	background-color: #3F3F3F;
	box-shadow: 0px 2px 10px black;
	padding-right: 20px;
}


.logo {
	margin: 0 40px 0 20px;
	padding: 12px 0;
	display: flex;
}
.logo img {
	margin: 0 10px;
	height: 80px;
	width: 70px;
}
.logo p {
	margin: 0;
}
.logo-text {
	flex-shrink: 0;
	flex-direction: column;
	text-transform: uppercase;
	font-family: 'Bounded:Black',sans-serif;
	font-size: 20px;
}


menu a {
	font-size: 24px;
	padding: 10px 20px;
	text-transform: uppercase;
}

menu a:hover {
	background-color: #fff;
	color: #121212;
}


#about {
	font-size: 24px;
}
#about p {
	margin-bottom: 2em;
}

.text-huge {
	font-size: 256px;
}

.button {
	display: inline-block;
	font-family:'Bounded:Black',sans-serif;
	color: #fff;
	background-color: #1a1a1a;
	text-transform: uppercase;
	text-align: center;
	width: auto;
	margin-right: auto;
	margin-left: auto;
	padding: 24px;
}


/* Посади */
.vac-items {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
	gap: 20px;
	width: 100%;
	overflow: scroll;
}

.vac-item {
	font-family:'Bounded:Black',sans-serif;
}

.vac-button {
	display: flex;
	color: #fff;
	background-color: #3F3F3F;
	width: 100%;
	height: 350px;
	font-weight: bold;
	padding: 30px;
	font-size: 20px;
	background-position: center 32px;
	background-repeat: no-repeat;
	background-size: contain;
	text-align: left;
}

@media (max-width: 650px) {
	.vac-button {
		background-position: center top;
		background-origin: content-box;
	}
}

.close-button::after {
	content: "✖";
}
.close-button {
	display: block;
	float: right;
	padding: 10px;
	margin-right: 2em;
	margin-top: 2em;
	background: none;
}

.vac-button span {
	align-self: flex-end;
}

.vac-item p {
	text-transform: uppercase;
}

.vac-item li {
	padding-left: 1em;
}

.vac-title,
.vac-button {
	text-shadow: 0px 0px 10px black;
}

#vac-all {
	display: flex;
	align-self: flex-end;
	.button {
		margin-left: 0;
	}
}

dialog {
	max-height: 90vh;
	overflow: scroll;
}

dialog > div {
	display: block;
	padding: 2em;
	text-align: left;
}
/*/Посади */


/* Процес */
.process-container {
	display: flex;
	flex-wrap: wrap;
	gap: 12px;
}
.process-step {
	width: 500px;
	min-height: 300px;
	display: block;
	padding: 2em;
}

.process-number {
	font-family: 'Bounded:Black',sans-serif;
	font-size: 24px;
	align-self: flex-start;
	margin-top: 0;
}

.process-title {
	font-family: 'Bounded:Black',sans-serif;
	font-size: 24px;
	text-transform: uppercase;
}
/*/Процес */


/* ЧаПи */
details {
	border-top: 2px solid rgb(26 26 26);
}

section details:last-child {
	border-bottom: 2px solid rgb(26 26 26);
}

details > summary {
	cursor: pointer;
	padding: 33px 48px;
	font-size: 18px;
	font-family: 'Bounded:Black',sans-serif;
	text-transform: uppercase;
}

details > summary:after {
	content: "+";
	text-align: right;
	float: right;
	font-size: 40px;
	font-family: 'Bounded:Regular',sans-serif;
	margin-top: -15px;
}

details > summary::marker {
	content: "";
}

details[open] p,
details[open] ul {
	padding-bottom: 24px;
	padding-left: 48px;
}

details[open] ul li {
	margin-bottom: 1em;
}

details[open] ul {
	margin-top: 12px;
}

details[open] > summary {
	margin-bottom: -12px;
}

details[open] > summary:after {
	content: "–";
}
/*/ЧаПи */


/* Контракт */
#contract {
	color: white;
	padding: 30px 4em 0;
	margin-bottom: 128px;
}
#contract .section-title {
	padding-top: 24px;
	margin-bottom: 0;
}
#contract .button {
	width: 100%;
	margin-bottom: 2em;
}

@media (max-width: 650px) {
	#contract {
		padding: 0 2em 0;
	}
}
/*/Контракт */


/* Низ */
#footer {
	color: #fff;
	background-color: #3F3F3F;
	padding: 30px 5vw 50px 5vw;
	display: flex;
	flex-wrap: wrap;
}
#contact, #social {
	display: flex;
	flex-wrap: wrap;
	gap: 32px;
	padding: 12px 0;
}
.contact-item {
	margin-right: 24px;
}
.contact-title, .social-title {
	font-family:'Bounded:Black',sans-serif;
	text-transform: uppercase;
	padding-bottom: 12px;
}

#social {
	margin-left: auto;
	order: 2;
	flex-direction: column;
	gap: 0;
}
#social .social-links {
	display: flex;
	gap: 24px;
}
.social-link img {
	width: 32px;
	height: 32px;
}
/*/Низ */



*,
::after,
::before {
	box-sizing:border-box;
	border-width:0;
	border-style:solid;
	border-color:#e5e7eb
}
menu,
ol,
ul {
	list-style:none;
	margin:0;
	padding:0
}



/* Меню */
.top-nav {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	/* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
	color: #FFF;
	height: auto;
}

menu {
	display: flex;
	flex-direction: row;
	list-style-type: none;
	margin: 0;
	padding: 0;
}

menu > li {
	margin: 0 1rem;
}

.menu-button-container {
	display: none;
	height: 100%;
	width: 30px;
	cursor: pointer;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#menu-toggle {
	display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
	display: block;
	background-color: #fff;
	position: absolute;
	height: 4px;
	width: 30px;
	transition: transform 100ms cubic-bezier(0.23, 1, 0.32, 1);
	border-radius: 2px;
}

.menu-button::before {
	content: '';
	margin-top: -8px;
}

.menu-button::after {
	content: '';
	margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
	margin-top: 0px;
	transform: rotate(405deg);
}

#menu-toggle:checked + .menu-button-container .menu-button {
	background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
	margin-top: 0px;
	transform: rotate(-405deg);
}

@media (max-width: 1320px) {
	.menu-button-container {
		display: flex;
	}
	menu {
		position: absolute;
		top: 0;
		margin-top: 80px;
		left: 0;
		flex-direction: column;
		width: 100%;
		justify-content: center;
		align-items: center;
	}
	#menu-toggle ~ menu li {
		height: 0;
		margin: 0;
		padding: 0;
		border: 0;
		transition: height 100ms cubic-bezier(0.23, 1, 0.32, 1);
		display: none;
	}
	#menu-toggle:checked ~ menu li {
		border: 1px solid #333;
		height: 3.5em;
		padding: 0.5em;
		transition: height 100ms cubic-bezier(0.23, 1, 0.32, 1);
		display: flex;
	}
	menu > li {
		display: flex;
		justify-content: center;
		margin: 0;
		padding: 0.5em 0;
		width: 100%;
		color: white;
		background-color: #222;
	}
	menu > li:not(:last-child) {
		border-bottom: 1px solid #444;
	}
}
/*/Меню */
